package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;

public class RelatorioVendasComissaoBean {

	private String nombPuntoVenta;
	private String numPuntoVenta;
	private String indstatusboleto;

	private BigDecimal totalVendas;
	private BigDecimal totalTaxasVendas;

	private BigDecimal totalVendasCanceladas;
	private BigDecimal totalTaxasVendasCanceladas;

	private BigDecimal totalVendasDevolucao;
	private BigDecimal totalTaxasVendasDevolucao;
	
	public RelatorioVendasComissaoBean() {
		super();
		this.totalVendas = BigDecimal.ZERO;
		this.totalTaxasVendas = BigDecimal.ZERO;
		this.totalVendasCanceladas = BigDecimal.ZERO;
		this.totalTaxasVendasCanceladas = BigDecimal.ZERO;
		this.totalVendasDevolucao = BigDecimal.ZERO;
		this.totalTaxasVendasDevolucao = BigDecimal.ZERO;
	}

	public String getNumPuntoVenta() {
		return numPuntoVenta;
	}

	public void setNumPuntoVenta(String numPuntoVenta) {
		this.numPuntoVenta = numPuntoVenta;
	}

	public BigDecimal getTotalVendas() {
		return totalVendas;
	}

	public void setTotalVendas(BigDecimal totalVendas) {
		this.totalVendas = totalVendas;
	}

	public BigDecimal getTotalTaxasVendas() {
		return totalTaxasVendas;
	}

	public void setTotalTaxasVendas(BigDecimal totalTaxasVendas) {
		this.totalTaxasVendas = totalTaxasVendas;
	}

	public BigDecimal getTotalVendasCanceladas() {
		return totalVendasCanceladas;
	}

	public void setTotalVendasCanceladas(BigDecimal totalVendasCanceladas) {
		this.totalVendasCanceladas = totalVendasCanceladas;
	}

	public BigDecimal getTotalTaxasVendasCanceladas() {
		return totalTaxasVendasCanceladas;
	}

	public void setTotalTaxasVendasCanceladas(BigDecimal totalTaxasVendasCanceladas) {
		this.totalTaxasVendasCanceladas = totalTaxasVendasCanceladas;
	}

	public BigDecimal getTotalVendasDevolucao() {
		return totalVendasDevolucao;
	}

	public void setTotalVendasDevolucao(BigDecimal totalVendasDevolucao) {
		this.totalVendasDevolucao = totalVendasDevolucao;
	}

	public BigDecimal getTotalTaxasVendasDevolucao() {
		return totalTaxasVendasDevolucao;
	}

	public void setTotalTaxasVendasDevolucao(BigDecimal totalTaxasVendasDevolucao) {
		this.totalTaxasVendasDevolucao = totalTaxasVendasDevolucao;
	}

	public String getIndstatusboleto() {
		return indstatusboleto;
	}

	public void setIndstatusboleto(String indstatusboleto) {
		this.indstatusboleto = indstatusboleto;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((numPuntoVenta == null) ? 0 : numPuntoVenta.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RelatorioVendasComissaoBean other = (RelatorioVendasComissaoBean) obj;
		if (numPuntoVenta == null) {
			if (other.numPuntoVenta != null)
				return false;
		} else if (!numPuntoVenta.equals(other.numPuntoVenta))
			return false;
		return true;
	}

	public String getNombPuntoVenta() {
		return nombPuntoVenta;
	}

	public void setNombPuntoVenta(String nombPuntoVenta) {
		this.nombPuntoVenta = nombPuntoVenta;
	}

}
